## ardour 2.8.11

=== SConstruct ===
# -*- python -*-

#
# and there we have it, or do we?
#

import os
import os.path
import sys
import re
import shutil
import glob
import errno
import time
import platform
import string
import commands
from sets import Set
import SCons.Node.FS

SConsignFile()
EnsureSConsVersion(0, 96)

ardour_version = '2.8.11'

subst_dict = { }

#
# Command-line options
#

opts = Variables('scache.conf')
opts.AddVariables(
    ('ARCH', 'Set architecture-specific compilation flags by hand (all flags as 1 argument)',''),
    ('WINDOWS_KEY', 'Set X Modifier (Mod1,Mod2,Mod3,Mod4,Mod5) for "Windows" key', 'Mod4><Super'),
    ('PROGRAM_NAME', 'Set program name (default is "Ardour")', 'Ardour'),
    ('DIST_LIBDIR', 'Explicitly set library dir. If not set, Fedora-style defaults are used (typically lib or lib64)', ''),
    PathVariable('DESTDIR', 'Set the intermediate install "prefix"', '/'),
    PathVariable('PREFIX', 'Set the install "prefix"', '/usr/local'),
    EnumVariable('DIST_TARGET', 'Build target for cross compiling packagers', 'auto', allowed_values=('auto', 'i386', 'i686', 'x86_64', 'powerpc', 'tiger', 'panther', 'leopard', 'none' ), ignorecase=2),
    BoolVariable('AUDIOUNITS', 'Compile with Apple\'s AudioUnit library. (experimental)', 0),
    BoolVariable('COREAUDIO', 'Compile with Apple\'s CoreAudio library', 0),
    BoolVariable('GTKOSX', 'Compile for use with GTK-OSX, not GTK-X11', 0),
    BoolVariable('OLDFONTS', 'Old school font sizes', 0),
    BoolVariable('DEBUG', 'Set to build with debugging information and no optimizations', 0),
    BoolVariable('STL_DEBUG', 'Set to build with Standard Template Library Debugging', 0),
    BoolVariable('DMALLOC', 'Compile and link using the dmalloc library', 0),
    BoolVariable('EXTRA_WARN', 'Compile with -Wextra, -ansi, and -pedantic.  Might break compilation.  For pedants', 0),
    BoolVariable('FFT_ANALYSIS', 'Include FFT analysis window', 1),
    BoolVariable('FREESOUND', 'Include Freesound database lookup', 0),
    BoolVariable('FPU_OPTIMIZATION', 'Build runtime checked assembler code', 1),
    BoolVariable('LIBLO', 'Compile with support for liblo library', 1),
    BoolVariable('NLS', 'Set to turn on i18n support', 1),
    BoolVariable('SURFACES', 'Build support for control surfaces', 1),
    BoolVariable('WIIMOTE', 'Build the wiimote control surface', 0),
    BoolVariable('SYSLIBS', 'USE AT YOUR OWN RISK: CANCELS ALL SUPPORT FROM ARDOUR AUTHORS: Use existing system versions of various libraries instead of internal ones', 0),
    BoolVariable('UNIVERSAL', 'Compile as universal binary.  Requires that external libraries are already universal.', 0),
    BoolVariable('VERSIONED', 'Add revision information to ardour/gtk executable name inside the build directory', 0),
    BoolVariable('VST', 'Compile with support for VST', 0),
    BoolVariable('LV2', 'Compile with support for LV2 (if slv2 is available)', 1),
    BoolVariable('GPROFILE', 'Compile with support for gprofile (Developers only)', 0),
    BoolVariable('FREEDESKTOP', 'Install MIME type, icons and .desktop file as per the freedesktop.org spec (requires xdg-utils and shared-mime-info). "scons uninstall" removes associations in desktop database', 0),
    BoolVariable('TRANZPORT', 'Compile with support for Frontier Designs (if libusb is available)', 1),
    BoolVariable('AUBIO', "Use Paul Brossier's aubio library for feature detection (if available)", 1),
    BoolVariable('AUSTATE', "Build with support for AU settings & presets saving/loading", 0)
)

#----------------------------------------------------------------------
# a handy helper that provides a way to merge compile/link information
# from multiple different "environments"
#----------------------------------------------------------------------
#
class LibraryInfo(Environment):
    def __init__(self,*args,**kw):
        Environment.__init__ (self,*args,**kw)
        self.ENV_update(os.environ)
    
    def Merge (self,others):
        for other in others:
            self.Append (LIBS = other.get ('LIBS',[]))
            self.Append (LIBPATH = other.get ('LIBPATH', []))
            self.Append (CPPPATH = other.get('CPPPATH', []))
            self.Append (LINKFLAGS = other.get('LINKFLAGS', []))
            self.Append (CCFLAGS = other.get('CCFLAGS', []))
	self.Replace(LIBPATH = list(Set(self.get('LIBPATH', []))))
	self.Replace(CPPPATH = list(Set(self.get('CPPPATH',[]))))
        #doing LINKFLAGS breaks -framework
        #doing LIBS break link order dependency
    
    def ENV_update(self, src_ENV):
        for k in src_ENV.keys():
            if k in self['ENV'].keys() and k in [ 'PATH', 'LD_LIBRARY_PATH',
                                                  'LIB', 'PKG_CONFIG_PATH', 'INCLUDE' ]:
                self['ENV'][k]=SCons.Util.AppendPath(self['ENV'][k], src_ENV[k])
            else:
                self['ENV'][k]=src_ENV[k]

env = LibraryInfo (options = opts,
                   CPPPATH = [ '.' ],
                   VERSION = ardour_version,
                   TARBALL='ardour-' + ardour_version + '.tar.bz2',
                   DISTFILES = [ ],
                   DISTTREE  = '#ardour-' + ardour_version,
                   DISTCHECKDIR = '#ardour-' + ardour_version + '/check'
                   )

env.ENV_update(os.environ)

#----------------------------------------------------------------------
# Builders
#----------------------------------------------------------------------

# Handy subst-in-file builder
#

def do_subst_in_file(targetfile, sourcefile, dict):
    """Replace all instances of the keys of dict with their values.
    For example, if dict is {'%VERSION%': '1.2345', '%BASE%': 'MyProg'},
    then all instances of %VERSION% in the file will be replaced with 1.2345 etc.
    """
    try:
        f = open(sourcefile, 'rb')
        contents = f.read()
        f.close()
    except:
        raise SCons.Errors.UserError, "Can't read source file %s"%sourcefile
    for (k,v) in dict.items():
        contents = re.sub(k, v, contents)
    try:
        f = open(targetfile, 'wb')
        f.write(contents)
        f.close()
    except:
        raise SCons.Errors.UserError, "Can't write target file %s"%targetfile
    return 0 # success

def subst_in_file(target, source, env):
    if not env.has_key('SUBST_DICT'):
        raise SCons.Errors.UserError, "SubstInFile requires SUBST_DICT to be set."
    d = dict(env['SUBST_DICT']) # copy it
    for (k,v) in d.items():
        if callable(v):
            d[k] = env.subst(v())
        elif SCons.Util.is_String(v):
            d[k]=env.subst(v)
        else:
            raise SCons.Errors.UserError, "SubstInFile: key %s: %s must be a string or callable"%(k, repr(v))
    for (t,s) in zip(target, source):
        return do_subst_in_file(str(t), str(s), d)

def subst_in_file_string(target, source, env):
    """This is what gets printed on the console."""
    return '\n'.join(['Substituting vars from %s into %s'%(str(s), str(t))
                      for (t,s) in zip(target, source)])

def subst_emitter(target, source, env):
    """Add dependency from substituted SUBST_DICT to target.
    Returns original target, source tuple unchanged.
    """
    d = env['SUBST_DICT'].copy() # copy it
    for (k,v) in d.items():
        if callable(v):
            d[k] = env.subst(v())
        elif SCons.Util.is_String(v):
            d[k]=env.subst(v)
    Depends(target, SCons.Node.Python.Value(d))
    # Depends(target, source) # this doesn't help the install-sapphire-linux.sh problem
    return target, source

subst_action = Action (subst_in_file, subst_in_file_string)
env['BUILDERS']['SubstInFile'] = Builder(action=subst_action, emitter=subst_emitter)

#
# internationalization
#

# po_builder: builder function to copy po files to the parent directory while updating them
#
# first source:  .po file
# second source: .pot file
#

def po_builder(target,source,env):
    os.spawnvp (os.P_WAIT, 'cp', ['cp', str(source[0]), str(target[0])])
    args = [ 'msgmerge',
             '--update',
             str(target[0]),
             str(source[1])
             ]
    print 'Updating ' + str(target[0])
    return os.spawnvp (os.P_WAIT, 'msgmerge', args)

po_bld = Builder (action = po_builder)
env.Append(BUILDERS = {'PoBuild' : po_bld})

# mo_builder: builder function for (binary) message catalogs (.mo)
#
# first source:  .po file
#

def mo_builder(target,source,env):
    args = [ 'msgfmt',
             '-c',
             '-o',
             target[0].get_path(),
             source[0].get_path()
             ]
    return os.spawnvp (os.P_WAIT, 'msgfmt', args)

mo_bld = Builder (action = mo_builder)
env.Append(BUILDERS = {'MoBuild' : mo_bld})

# pot_builder: builder function for message templates (.pot)
#
# source: list of C/C++ etc. files to extract messages from
#

def pot_builder(target,source,env):
    args = [ 'xgettext',
             '--keyword=_',
             '--keyword=N_',
             '--from-code=UTF-8',
             '-o', target[0].get_path(),
             "--default-domain=" + env['PACKAGE'],
             '--copyright-holder="Paul Davis"' ]
    args += [ src.get_path() for src in source ]
    
    return os.spawnvp (os.P_WAIT, 'xgettext', args)

pot_bld = Builder (action = pot_builder)
env.Append(BUILDERS = {'PotBuild' : pot_bld})

#
# utility function, not a builder
#

def i18n (buildenv, sources, installenv):
    domain = buildenv['PACKAGE']
    potfile = buildenv['POTFILE']
    
    installenv.Alias ('potupdate', buildenv.PotBuild (potfile, sources))
    
    p_oze = [ os.path.basename (po) for po in glob.glob ('po/*.po') ]
    languages = [ po.replace ('.po', '') for po in p_oze ]
    
    for po_file in p_oze:
        buildenv.PoBuild(po_file, ['po/'+po_file, potfile])
        mo_file = po_file.replace (".po", ".mo")
        installenv.Alias ('install', buildenv.MoBuild (mo_file, po_file))
        installenv.Alias ('msgupdate', buildenv.MoBuild (mo_file, po_file))
    
    for lang in languages:
        modir = (os.path.join (install_prefix, 'share/locale/' + lang + '/LC_MESSAGES/'))
        moname = domain + '.mo'
        installenv.Alias('install', installenv.InstallAs (os.path.join (modir, moname), lang + '.mo'))


def fetch_svn_revision (path):
    cmd = "LANG= "
    cmd += "svn info "
    cmd += path
    cmd += " | awk '/^Revision:/ { print $2}'"
    return commands.getoutput (cmd)

def create_stored_revision (target = None, source = None, env = None):
    if os.path.exists('.svn'):    
        rev = fetch_svn_revision ('.');
        try:
            text  = "#include <ardour/svn_revision.h>\n"
            text += "namespace ARDOUR {\n";
            text += "extern const char* svn_revision = \"" + rev + "\";\n";
            text += "}\n";
            print '============> writing svn revision info to libs/ardour/svn_revision.cc\n'
            o = file ('libs/ardour/svn_revision.cc', 'w')
            o.write (text)
            o.close ()
        except IOError:
            print "Could not open libs/ardour/svn_revision.cc for writing\n"
            sys.exit (-1)
    else:
        if not os.path.exists('libs/ardour/ardour/svn_revision.h'):    
            print "This release of ardour is missing libs/ardour/ardour/svn_revision.h. Blame the packager."
            sys.exit (-1)

#
# A generic builder for version.cc files
#
# note: requires that DOMAIN, MAJOR, MINOR, MICRO are set in the construction environment
# note: assumes one source files, the header that declares the version variables
#

def version_builder (target, source, env):

    text  = "int " + env['DOMAIN'] + "_major_version = " + str (env['MAJOR']) + ";\n"
    text += "int " + env['DOMAIN'] + "_minor_version = " + str (env['MINOR']) + ";\n"
    text += "int " + env['DOMAIN'] + "_micro_version = " + str (env['MICRO']) + ";\n"
    
    try:
        o = file (target[0].get_path(), 'w')
        o.write (text)
        o.close ()
    except IOError:
        print "Could not open", target[0].get_path(), " for writing\n"

=== libs/sigc++2/scripts/Makefile ===
# Makefile.in generated by automake 1.11.1 from Makefile.am.
# scripts/Makefile.  Generated from Makefile.in by configure.

# Copyright (C) 1994, 1995, 1996, 1997, 1998, 1999, 2000, 2001, 2002,
# 2003, 2004, 2005, 2006, 2007, 2008, 2009  Free Software Foundation,
# Inc.
# This Makefile.in is free software; the Free Software Foundation
# gives unlimited permission to copy and/or distribute it,
# with or without modifications, as long as this notice is preserved.

# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
# PARTICULAR PURPOSE.



pkgdatadir = $(datadir)/libsigc++
pkgincludedir = $(includedir)/libsigc++
pkglibdir = $(libdir)/libsigc++
pkglibexecdir = $(libexecdir)/libsigc++
am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
install_sh_DATA = $(install_sh) -c -m 644
install_sh_PROGRAM = $(install_sh) -c
install_sh_SCRIPT = $(install_sh) -c
INSTALL_HEADER = $(INSTALL_DATA)
transform = $(program_transform_name)
NORMAL_INSTALL = :
PRE_INSTALL = :
POST_INSTALL = :
NORMAL_UNINSTALL = :
PRE_UNINSTALL = :
POST_UNINSTALL = :
build_triplet = x86_64-unknown-linux-gnu
host_triplet = x86_64-unknown-linux-gnu
subdir = scripts
DIST_COMMON = $(srcdir)/Makefile.am $(srcdir)/Makefile.in
ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
am__aclocal_m4_deps = $(top_srcdir)/scripts/cxx.m4 \
	$(top_srcdir)/scripts/cxx_std.m4 \
	$(top_srcdir)/scripts/libtool.m4 \
	$(top_srcdir)/scripts/ltoptions.m4 \
	$(top_srcdir)/scripts/ltsugar.m4 \
	$(top_srcdir)/scripts/ltversion.m4 \
	$(top_srcdir)/scripts/lt~obsolete.m4 \
	$(top_srcdir)/configure.ac
am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
	$(ACLOCAL_M4)
mkinstalldirs = $(install_sh) -d
CONFIG_HEADER = $(top_builddir)/sigc++config.h
CONFIG_CLEAN_FILES =
CONFIG_CLEAN_VPATH_FILES =
SOURCES =
DIST_SOURCES =
DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
ACLOCAL = ${SHELL} /usr/local/music/src/ardour/2.0-ongoing/libs/sigc++2/missing --run aclocal-1.11
AMTAR = ${SHELL} /usr/local/music/src/ardour/2.0-ongoing/libs/sigc++2/missing --run tar
AR = ar
AS = as
AUTOCONF = ${SHELL} /usr/local/music/src/ardour/2.0-ongoing/libs/sigc++2/missing --run autoconf
AUTOHEADER = :
AUTOMAKE = ${SHELL} /usr/local/music/src/ardour/2.0-ongoing/libs/sigc++2/missing --run automake-1.11
AWK = gawk
CC = gcc
CCDEPMODE = depmode=gcc3
CFLAGS = -g -O2
CPP = gcc -E
CPPFLAGS = 
CXX = g++
CXXCPP = g++ -E
CXXDEPMODE = depmode=gcc3
CXXFLAGS = -g -O2
CYGPATH_W = echo
DEFS = -DHAVE_CONFIG_H
DEPDIR = .deps
DLLTOOL = dlltool
DSYMUTIL = 
DUMPBIN = 
ECHO_C = 
ECHO_N = -n
ECHO_T = 
EGREP = /bin/grep -E
EXEEXT = 
FGREP = /bin/grep -F
FP_MAJOR_VERSION = 2
FP_MICRO_VERSION = 2
FP_MINOR_VERSION = 2
FP_RELEASE = 2.2
FP_VERSION = 2.2.2
GREP = /bin/grep
INSTALL = /usr/bin/install -c
INSTALL_DATA = ${INSTALL} -m 644
INSTALL_PROGRAM = ${INSTALL}
INSTALL_SCRIPT = ${INSTALL}
INSTALL_STRIP_PROGRAM = $(install_sh) -c -s
LD = /usr/bin/ld -m elf_x86_64
LDFLAGS = 
LIBOBJS = 
LIBS = 
LIBTOOL = $(SHELL) $(top_builddir)/libtool
LIPO = 
LN_S = ln -s
LTLIBOBJS = 
M4 = m4
MAINT = 
MAKEINFO = ${SHELL} /usr/local/music/src/ardour/2.0-ongoing/libs/sigc++2/missing --run makeinfo
MKDIR_P = /bin/mkdir -p
NM = /usr/bin/nm -B
NMEDIT = 
OBJDUMP = objdump
OBJEXT = o
OTOOL = 
OTOOL64 = 
PACKAGE = libsigc++
PACKAGE_BUGREPORT = libsigc-list@gnome.org
PACKAGE_NAME = libsigc++
PACKAGE_STRING = libsigc++ 2.2.2
PACKAGE_TARNAME = libsigc++
PACKAGE_VERSION = 2.2.2
PATH_SEPARATOR = :
PERL_PATH = /usr/bin/perl
RANLIB = ranlib
SED = /bin/sed
SET_MAKE = 
SHELL = /bin/sh
STRIP = strip
VERSION = 2.2.2
abs_builddir = /usr/local/music/src/ardour/2.0-ongoing/libs/sigc++2/scripts
abs_srcdir = /usr/local/music/src/ardour/2.0-ongoing/libs/sigc++2/scripts
abs_top_builddir = /usr/local/music/src/ardour/2.0-ongoing/libs/sigc++2
abs_top_srcdir = /usr/local/music/src/ardour/2.0-ongoing/libs/sigc++2
ac_ct_CC = gcc
ac_ct_CXX = g++
ac_ct_DUMPBIN = 
am__include = include
am__leading_dot = .
am__quote = 
am__tar = tar --format=ustar -chf - "$$tardir"
am__untar = tar -xf -
bindir = ${exec_prefix}/bin
build = x86_64-unknown-linux-gnu
build_alias = 
build_cpu = x86_64
build_os = linux-gnu
build_vendor = unknown
builddir = .
datadir = ${datarootdir}
datarootdir = ${prefix}/share
docdir = ${datarootdir}/doc/${PACKAGE_TARNAME}
dvidir = ${docdir}
exec_prefix = ${prefix}
host = x86_64-unknown-linux-gnu
host_alias = 
host_cpu = x86_64
host_os = linux-gnu
host_vendor = unknown
htmldir = ${docdir}
includedir = ${prefix}/include
infodir = ${datarootdir}/info
install_sh = ${SHELL} /usr/local/music/src/ardour/2.0-ongoing/libs/sigc++2/install-sh
libdir = ${exec_prefix}/lib
libexecdir = ${exec_prefix}/libexec
localedir = ${datarootdir}/locale
localstatedir = ${prefix}/var
lt_ECHO = echo
mandir = ${datarootdir}/man
mkdir_p = /bin/mkdir -p
oldincludedir = /usr/include
pdfdir = ${docdir}
prefix = /usr/local
program_transform_name = s,x,x,
psdir = ${docdir}
sbindir = ${exec_prefix}/sbin
sharedstatedir = ${prefix}/com
srcdir = .
sysconfdir = ${prefix}/etc
target_alias = 
top_build_prefix = ../
top_builddir = ..
top_srcdir = ..
EXTRA_DIST = cxx.m4 cxx_std.m4
all: all-am

.SUFFIXES:
$(srcdir)/Makefile.in:  $(srcdir)/Makefile.am  $(am__configure_deps)
	@for dep in $?; do \
	  case '$(am__configure_deps)' in \
	    *$$dep*) \
	      ( cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh ) \
	        && { if test -f $@; then exit 0; else break; fi; }; \
	      exit 1;; \
	  esac; \
	done; \
	echo ' cd $(top_srcdir) && $(AUTOMAKE) --gnu scripts/Makefile'; \
	$(am__cd) $(top_srcdir) && \
	  $(AUTOMAKE) --gnu scripts/Makefile
.PRECIOUS: Makefile
Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
	@case '$?' in \
	  *config.status*) \
	    cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh;; \
	  *) \
	    echo ' cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe)'; \
	    cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe);; \
	esac;

$(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh

$(top_srcdir)/configure:  $(am__configure_deps)
	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
$(ACLOCAL_M4):  $(am__aclocal_m4_deps)
	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
$(am__aclocal_m4_deps):

mostlyclean-libtool:
	-rm -f *.lo

clean-libtool:
	-rm -rf .libs _libs
tags: TAGS
TAGS:

ctags: CTAGS
CTAGS:


distdir: $(DISTFILES)
	@srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
	topsrcdirstrip=`echo "$(top_srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
	list='$(DISTFILES)'; \
	  dist_files=`for file in $$list; do echo $$file; done | \
	  sed -e "s|^$$srcdirstrip/||;t" \
	      -e "s|^$$topsrcdirstrip/|$(top_builddir)/|;t"`; \
	case $$dist_files in \
	  */*) $(MKDIR_P) `echo "$$dist_files" | \
			   sed '/\//!d;s|^|$(distdir)/|;s,/[^/]*$$,,' | \
			   sort -u` ;; \
	esac; \
	for file in $$dist_files; do \
	  if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
	  if test -d $$d/$$file; then \
	    dir=`echo "/$$file" | sed -e 's,/[^/]*$$,,'`; \
	    if test -d "$(distdir)/$$file"; then \
	      find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
	    fi; \
	    if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
	      cp -fpR $(srcdir)/$$file "$(distdir)$$dir" || exit 1; \
	      find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
	    fi; \
	    cp -fpR $$d/$$file "$(distdir)$$dir" || exit 1; \
	  else \
	    test -f "$(distdir)/$$file" \
	    || cp -p $$d/$$file "$(distdir)/$$file" \
	    || exit 1; \
	  fi; \
	done
check-am: all-am
check: check-am
all-am: Makefile
installdirs:
install: install-am
install-exec: install-exec-am
install-data: install-data-am
uninstall: uninstall-am

install-am: all-am
	@$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am

installcheck: installcheck-am
install-strip:
	$(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
	  install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
	  `test -z '$(STRIP)' || \
	    echo "INSTALL_PROGRAM_ENV=STRIPPROG='$(STRIP)'"` install
mostlyclean-generic:

clean-generic:

distclean-generic:
	-test -z "$(CONFIG_CLEAN_FILES)" || rm -f $(CONFIG_CLEAN_FILES)
	-test . = "$(srcdir)" || test -z "$(CONFIG_CLEAN_VPATH_FILES)" || rm -f $(CONFIG_CLEAN_VPATH_FILES)

maintainer-clean-generic:
	@echo "This command is intended for maintainers to use"
	@echo "it deletes files that may require special tools to rebuild."
clean: clean-am

clean-am: clean-generic clean-libtool mostlyclean-am

distclean: distclean-am
	-rm -f Makefile
distclean-am: clean-am distclean-generic

dvi: dvi-am

dvi-am:

html: html-am

html-am:

info: info-am

info-am:

install-data-am:

install-dvi: install-dvi-am

install-dvi-am:

install-exec-am:

install-html: install-html-am

install-html-am:

install-info: install-info-am

install-info-am:

install-man:

install-pdf: install-pdf-am

install-pdf-am:

install-ps: install-ps-am

install-ps-am:

installcheck-am:

maintainer-clean: maintainer-clean-am
	-rm -f Makefile
maintainer-clean-am: distclean-am maintainer-clean-generic

mostlyclean: mostlyclean-am

mostlyclean-am: mostlyclean-generic mostlyclean-libtool

pdf: pdf-am

pdf-am:

ps: ps-am

ps-am:

uninstall-am:

.MAKE: install-am install-strip

.PHONY: all all-am check check-am clean clean-generic clean-libtool \
	distclean distclean-generic distclean-libtool distdir dvi \
	dvi-am html html-am info info-am install install-am \
	install-data install-data-am install-dvi install-dvi-am \
	install-exec install-exec-am install-html install-html-am \
	install-info install-info-am install-man install-pdf \
	install-pdf-am install-ps install-ps-am install-strip \
	installcheck installcheck-am installdirs maintainer-clean \
	maintainer-clean-generic mostlyclean mostlyclean-generic \
	mostlyclean-libtool pdf pdf-am ps ps-am uninstall uninstall-am


# Tell versions [3.59,3.63) of GNU make to not export all variables.
# Otherwise a system limit (for SysV at least) may be exceeded.
.NOEXPORT:

=== debian/changelog ===
ardour (1:2.8.11-7) unstable; urgency=low

  * Fix FTBFS on kFreeBSD (Closes: #636921)
  * Use linux-any/!linux-any in arch lists (Closes: #634104)

 -- Adrian Knoth <adi@drcomp.erfurt.thur.de>  Mon, 08 Aug 2011 16:43:50 +0200

ardour (1:2.8.11-6) unstable; urgency=low

  [ Miguel Colon ]
  * Add liboss-salsa-dev to the build dependency for kfreebsd and hurd.

  [ Adrian Knoth ]
  * Update VCS patch to r9326 (Closes: #625001)

 -- Adrian Knoth <adi@drcomp.erfurt.thur.de>  Mon, 16 May 2011 16:50:33 +0200

ardour (1:2.8.11-5) unstable; urgency=low

  [ Miguel Colon ]
  * Use the new soundtouch.pc file.
  * Rebuild against the newest soundtouch in unstable.

  [ Adrian Knoth ]
  * Sync with upstream VCS r8077.
  * Really depend on libsoundtouch >= 1.5.0
  * Depend on liblrdf-0.4.0-4 with versioned raptor symbols.
  * Tighten dependency on libslv2-dev (>= 0.6.6-7) (Closes: #613411)
  * Require libraptor1-dev instead of virtual libraptor-dev.

 -- Adrian Knoth <adi@drcomp.erfurt.thur.de>  Thu, 03 Mar 2011 11:03:45 +0100

ardour (1:2.8.11-4) experimental; urgency=low

  [ Adrian Knoth ]
  * Improve desktop and menu files
  * Add Ladish level 1 support

  [ Jonas Smedegaard ]
  * Lower Priority to extra: Depends on similarly prioritized
    libvamp-hostsdk3, libvamp-sdk2 and python-twisted.
  * Build-depend on libraptor-dev: Even if already pulled in by
    librdf1-dev, this might change and we must declare direct
    dependencies explicitly.
  * Let CDBS resolve if parallel build is enabled, and then use it
    unconditionally (i.e. without consulting /proc/cpuinfo).

 -- Adrian Knoth <adi@drcomp.erfurt.thur.de>  Sat, 29 Jan 2011 18:31:17 +0100

ardour (1:2.8.11-3) unstable; urgency=low

  * Backport upstream's fix for #598282, also fixing a potential security flaw
    via GTK_PATH (same threat as LD_LIBRARY_PATH)

 -- Adrian Knoth <adi@drcomp.erfurt.thur.de>  Wed, 29 Sep 2010 10:42:44 +0200

ardour (1:2.8.11-2) unstable; urgency=low

  [ Jonas Smedegaard ]
  * Recommend iceweasel and only fallback on virtual www-browser, and
    drop superfluous fallback on firefox.
  * Refresh patch using shortinging options --no-timestamps --no-index -
    pab.
  * Maintain package relations in rules file.
  * Fix have ardour replace and conflict with itself (as same name is
    used as virtual name for other flavors).
  * Add quirk to recommend firefox (not iceweasel) for Ubuntu.
  * Rewrite copyright file to recent draft DEP5 machine-readable format.
  * Fix add verbatim text for a(nother) Libtool exception in
    debian/copyright.

  [ Adrian Knoth ]
  * Unapply patches after git-buildpackage
  * Fix insecure library loading (Closes: #598282)

  [ Luke Yelavich ]
  * debian/control: Do not explicitly depend on a particular version of
    jackd

 -- Adrian Knoth <adi@drcomp.erfurt.thur.de>  Tue, 28 Sep 2010 16:44:12 +0200

ardour (1:2.8.11-1) unstable; urgency=low

  * New upstream version. (fix hanging transport after export)

 -- Adrian Knoth <adi@drcomp.erfurt.thur.de>  Wed, 07 Jul 2010 22:45:19 +0200

ardour (1:2.8.10-1) unstable; urgency=low

  * New upstream version.

 -- Adrian Knoth <adi@drcomp.erfurt.thur.de>  Thu, 17 Jun 2010 10:24:49 +0200

ardour (1:2.8.9-1) unstable; urgency=low

  * Imported Upstream version 2.8.9
  * Drop mute patch, it's been fixed upstream.

 -- Adrian Knoth <adi@drcomp.erfurt.thur.de>  Wed, 02 Jun 2010 20:00:17 +0200

ardour (1:2.8.8-1) unstable; urgency=low

  * Imported Upstream version 2.8.8
  * Refresh ardour-x-change.patch

 -- Adrian Knoth <adi@drcomp.erfurt.thur.de>  Tue, 01 Jun 2010 20:58:59 +0200

ardour (1:2.8.7-1) unstable; urgency=low

  [ Jonas Smedegaard ]
  * Drop Robert Jordens as uploader. Closes: bug#573469 - thanks for
    your contributions, Robert!
  * Add myself as uploader.
  * Indent with single space (not tab or multiple spaces) continuated
    fields in control file, to follow Debian Policy §7.1 documented
    convention.

  [ Adrian Knoth ]
  * New upstream release
  * Add mute patch to enable mute buttons by default (Closes: #582938)

 -- Adrian Knoth <adi@drcomp.erfurt.thur.de>  Wed, 26 May 2010 15:58:32 +0200

ardour (1:2.8.6-1) unstable; urgency=low

  * New upstream release

 -- Adrian Knoth <adi@drcomp.erfurt.thur.de>  Sat, 23 Jan 2010 22:02:36 +0100

ardour (1:2.8.4-3) unstable; urgency=low

  * Build against vamp-plugin-sdk version 2.1 (Closes: #563588)

 -- Adrian Knoth <adi@drcomp.erfurt.thur.de>  Mon, 04 Jan 2010 12:39:43 +0100

ardour (1:2.8.4-2) unstable; urgency=low

  [ Dmitrijs Ledkovs ]
  * Added mimetype handles to i686 and altivec optimized builds as well
  * Added libusb-dev to enable Tranzport driver (Closes: #560840) (LP: #248269)
  * Removed debian/control.in & debian/opt-control.in unused since 2007.
  * Added firefox as a third alternative in recommends field

  [ Adrian Knoth ]
  * Sync with Ubuntu Patches (Closes: #559526)

 -- Adrian Knoth <adi@drcomp.erfurt.thur.de>  Mon, 07 Dec 2009 14:45:32 +0100

ardour (1:2.8.4-1) unstable; urgency=low

  * New upstream release 
  * Depend on libcurl4-gnutls-dev, nut libcurl4-dev

 -- Adrian Knoth <adi@drcomp.erfurt.thur.de>  Mon, 23 Nov 2009 15:49:12 +0100

ardour (1:2.8.3-2) unstable; urgency=low

  * Depend on liblo-dev instead of liblo0-dev

 -- Free Ekanayaka <freee@debian.org>  Thu, 12 Nov 2009 18:34:08 +0000

ardour (1:2.8.3-1) unstable; urgency=low

  [ Adrian Knoth]
  * New Upstream Version
  * Updated 60-libdir.patch
  * Updated 100_syslibs.patch
  * Updated Maintainer to new mailing list
  * Fix lintian warning about debian/NEWS
  * Bump standards version
  * Set DH compat version to 6
  * Added mimetype handles for .ardour files (Closes: #541118)
  * Support external UI LV2 extension (necessary for lv2fil)
  * Add copyright notice about GSM610. (Closes: #532455)
  * Fix spelling errors in description (Closes: #485892)
  * Removed Guenter Geigers from Uploaders (Closes: #546948)

 -- Adrian Knoth <adi@drcomp.erfurt.thur.de>  Sat, 25 Jul 2009 12:25:17 +0200



=== debian/control ===
Source: ardour
Section: sound
Priority: extra
Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
Uploaders: Adrian Knoth <adi@drcomp.erfurt.thur.de>,
 Free Ekanayaka <freee@debian.org>,
 Jonas Smedegaard <dr@jones.dk>
Build-Depends: autotools-dev,
 cdbs (>= 0.4.72~),
 devscripts (>= 2.10.7~),
 debhelper (>= 6),
 dh-buildinfo,
 gettext,
 intltool,
 scons,
 libboost-dev,
 libcurl4-gnutls-dev,
 libfftw3-dev,
 libraptor1-dev (>= 1.4.21-5),
 liblrdf0-dev (>= 0.4.0-4),
 libsigc++-2.0-dev,
 libusb-dev,
 libxml2-dev (>= 2.5.7),
 librasqal3-dev | librasqal2-dev (>= 0.9.14),
 libcairomm-1.0-dev (>= 1.2.4),
 libglade2-dev,
 libglademm-2.4-dev,
 libglib2.0-dev,
 libgnomecanvas2-dev,
 libgnomecanvasmm-2.6-dev,
 libgtkmm-2.4-dev,
 libpango1.0-dev,
 ladspa-sdk (>= 1.1-2),
 libasound2-dev (>= 0.9.4) [linux-any],
 liboss-salsa-dev [!linux-any],
 libaubio-dev,
 libjack-dev,
 liblo-dev,
 libsamplerate0-dev,
 libslv2-dev (>= 0.6.6-7),
 libsndfile1-dev,
 libsoundtouch-dev (>= 1.5.0),
 lv2core,
 vamp-plugin-sdk (>=2.1)
Standards-Version: 3.9.2
DM-Upload-Allowed: yes
Homepage: http://www.ardour.org/
Vcs-Git: git://git.debian.org/git/pkg-multimedia/ardour.git
Vcs-Browser: http://git.debian.org/?p=pkg-multimedia/ardour.git;a=summary

Package: ardour
Architecture: any
Section: sound
Depends: ${shlibs:Depends},
 ${python:Depends},
 ${misc:Depends},
 ${cdbs:Depends}
Recommends: ${cdbs:Recommends}
Suggests: ${shlibs:Suggests}
Conflicts: ${cdbs:Conflicts}
Replaces: ${cdbs:Replaces}
Description: digital audio workstation (graphical gtk2 interface)
 Ardour is a multichannel hard disk recorder (HDR) and digital audio
 workstation (DAW).  It can be used to control, record, edit and run
 complex audio setups. 
 .
 Ardour supports pro-audio interfaces
 through the ALSA project, which provides high quality, well designed
 device drivers and API's for audio I/O under Linux. Any interface
 supported by ALSA can be used with Ardour. This includes the
 all-digital 26 channel RME Hammerfall, the Midiman Delta 1010 and many
 others.
 .
 Ardour has support for 24 bit samples
 using floating point internally, non-linear editing with unlimited undo,
 a user-configurable mixer, MTC master/slave capabilities, MIDI hardware
 control surface compatibility.
 .
 It supports MIDI
 Machine Control, and so can be controlled from any MMC controller and
 many modern digital mixers.
 .
 Ardour contains a
 powerful multitrack audio editor/arranger that is completely
 non-destructive and capable of all standard non-linear editing
 operations (insert, replace, delete, move, trim, select,
 cut/copy/paste). The editor has unlimited undo/redo capabilities and can
 save independent "versions" of a track or an entire piece
 .
 Ardour's editor supports the community-developed LADSPA
 plugin standard.  Arbitrary chains of plugins can be attached to any
 portion of a track.  Every mixer strip can have any number of inputs
 and outputs, not just mono, stereo or 5.1.  An N-way panner is
 included, with support for various panning models.  Pre- and post-fader
 sends exist, each with their own gain and pan controls.  Every mixer
 strip acts as its own bus, and thus the bus count in Ardour is
 unlimited.  You can submix any number of strips into another
 strip.
 .
 Ardour's channel capacity is limited only
 by the number on your audio interface and the ability of your disk
 subsystem to stream the data back and forth.
 .
 JACK
 (the JACK Audio Connection Kit) is used for all audio I/O, permitting
 data to be exchanged in perfect samplesync with other applications
 and/or hardware audio interfaces.
 .
 Ardour is
 sample rate and size neutral - any hardware formats from 8 to 32 bits,
 and rates from 8kHz to 192kHz.  Internal processing in 32/64 bit IEEE
 floating point format.
 .
 Further information can be
 found at <http://ardour.org/>.

Package: ardour-altivec
Architecture: powerpc
Section: sound
Depends: ${shlibs:Depends},
 ${python:Depends},
 ${misc:Depends},
 ${cdbs:Depends}
Recommends: ${cdbs:Recommends}
Suggests: ${shlibs:Suggests}
Provides: ${cdbs:Provides}
Conflicts: ${cdbs:Conflicts}
Replaces: ${cdbs:Replaces}
Description: digital audio workstation (graphical gtk2 interface) [altivec]
 Ardour is a multichannel hard disk recorder (HDR) and digital audio
 workstation (DAW).  It can be used to control, record, edit and run
 complex audio setups. For more information see the description
 of the ardour package or <http://ardour.org/>.
 .
 This package is optimized for altivec and will not run on
 subarchitectures that don't support features enabled in altivec.
 It might fail with weird error SIGILLs and other non-obvious failures.
 Please refrain from filling bugs to the upstream author about this package
 that are not reproducible in the non-optimized package.

Package: ardour-i686
Architecture: i386
Section: sound
Depends: ${shlibs:Depends},
 ${python:Depends},
 ${misc:Depends},
 ${cdbs:Depends}
Recommends: ${cdbs:Recommends}
Suggests: ${shlibs:Suggests}
Provides: ${cdbs:Provides}
Conflicts: ${cdbs:Conflicts}
Replaces: ${cdbs:Replaces}
Description: digital audio workstation (graphical gtk2 interface) [i686]
 Ardour is a multichannel hard disk recorder (HDR) and digital audio
 workstation (DAW).  It can be used to control, record, edit and run
 complex audio setups. For more information see the description
 of the ardour package or <http://ardour.org/>.
 .
 This package is optimized for i686 and will not run on
 subarchitectures that don't support features enabled in i686.
 It might fail with weird error SIGILLs and other non-obvious failures.
 Please refrain from filling bugs to the upstream author about this package
 that are not reproducible in the non-optimized package.

=== debian/rules ===
#!/usr/bin/make -f
#
# Robert Jordens <jordens@debian.org>
#
# This software may be used and distributed according to the terms
# of the GNU General Public License, incorporated herein by reference.

include /usr/share/cdbs/1/class/langcore.mk
include /usr/share/cdbs/1/rules/buildcore.mk
include /usr/share/cdbs/1/rules/utils.mk
include /usr/share/cdbs/1/rules/debhelper.mk
DEB_CLEAN_EXCLUDE=debian/tmp
DEB_DESTDIR = $(CURDIR)/debian/tmp/

NJOBS = $(DEB_PARALLEL_JOBS:%=-j%)

ALTIVEC_OPT_FLAGS := -O3 -mcpu=7400 -maltivec -mabi=altivec -mhard-float -mpowerpc-gfxopt
I686_OPT_FLAGS := -O3 -march=i686 -mmmx

DEB_SCONS_EXTRA_FLAGS := \
	PREFIX=/usr \
	NLS=yes \
	FREEDESKTOP=no \
	$(NJOBS) \
	SYSLIBS=yes \
	FREESOUND=yes \
	VST=0

DEB_SCONS_NOOPT_FLAGS := DEBUG=no FPU_OPTIMIZATION=no
ifneq (,$(findstring amd64,$(DEB_BUILD_ARCH)))
DEB_SCONS_NOOPT_FLAGS := DEBUG=no FPU_OPTIMIZATION=yes
endif

ifneq (,$(findstring i386,$(DEB_BUILD_ARCH)))
DEB_SCONS_NOOPT_FLAGS += DIST_TARGET=i386
endif


DEB_DH_STRIP_ARGS := --dbg-package=ardour


DEB_SCONS_ENVVARS :=
DEB_SCONS_INVOKE = $(DEB_SCONS_ENVVARS) scons 

# For an out-of-tree build, we just cp -al all the needed files.
# It seems these are enough
BUILD_FILES = ardour.rc.in gtk2_ardour icons libs SConstruct templates tools vst

common-build-arch:: debian/stamp-scons-build
debian/stamp-scons-build:
	mkdir -p $(DEB_DESTDIR)/generic
	mkdir -p build-generic
	cp -alf $(BUILD_FILES) build-generic
	cd build-generic && $(DEB_SCONS_INVOKE) 'ARCH=$(CFLAGS)' \
		DESTDIR=$(DEB_DESTDIR)/generic \
		$(DEB_SCONS_EXTRA_FLAGS) $(DEB_SCONS_NOOPT_FLAGS)
ifneq (,$(findstring i386,$(DEB_BUILD_ARCH)))
	mkdir -p $(DEB_DESTDIR)/i686
	mkdir -p build-i686
	cp -alf $(BUILD_FILES) build-i686
	cd build-i686 && $(DEB_SCONS_INVOKE) 'ARCH=$(I686_OPT_FLAGS)' \
		DESTDIR=$(DEB_DESTDIR)/i686 \
		DEBUG=no $(DEB_SCONS_EXTRA_FLAGS) \
		FPU_OPTIMIZATION=yes DIST_TARGET=i686
endif
ifneq (,$(findstring powerpc,$(DEB_BUILD_ARCH)))
	mkdir -p $(DEB_DESTDIR)/altivec
	mkdir -p build-altivec
	cp -alf $(BUILD_FILES) build-altivec
	cd build-altivec && $(DEB_SCONS_INVOKE) 'ARCH=$(ALTIVEC_OPT_FLAGS)' \
		DESTDIR=$(DEB_DESTDIR)/altivec \
		DEBUG=no $(DEB_SCONS_EXTRA_FLAGS)
endif
	touch $@

install/ardour::
	cd build-generic && $(DEB_SCONS_INVOKE) 'ARCH=$(CFLAGS)' \
		DESTDIR=$(DEB_DESTDIR)/generic \
		$(DEB_SCONS_EXTRA_FLAGS) $(DEB_SCONS_NOOPT_FLAGS) \
		install

ifneq (,$(findstring i386,$(DEB_BUILD_ARCH)))
install/ardour-i686::
	cd build-i686 && $(DEB_SCONS_INVOKE) 'ARCH=$(I686_OPT_FLAGS)' \
		DESTDIR=$(DEB_DESTDIR)/i686 \
		DEBUG=no $(DEB_SCONS_EXTRA_FLAGS) \
		FPU_OPTIMIZATION=yes DIST_TARGET=i686 \
		install
endif

ifneq (,$(findstring powerpc,$(DEB_BUILD_ARCH)))
install/ardour-altivec::
	cd build-altivec && $(DEB_SCONS_INVOKE) 'ARCH=$(ALTIVEC_OPT_FLAGS)' \
		DESTDIR=$(DEB_DESTDIR)/altivec \
		DEBUG=no $(DEB_SCONS_EXTRA_FLAGS) install
endif

# this is bad but the only easy way to have ardour.rc generated from
# ardour.rc.in
common-install-indep:: debian/stamp-scons-build
common-install-arch:: debian/stamp-scons-build

clean:: scons-clean
scons-clean::
	$(MAKE) -f debian/rules reverse-config
	rm -rf build-generic build-i686 build-altivec
	rm -rf $(DEB_DESTDIR) debian/stamp-scons-build

	rm -rf debian/ardour-dbg
	rm -f gtk2_ardour/*.mo

# Needed at build time
# (separated in build tools, core, Glib/GTK and audio dependencies)
CDBS_BUILD_DEPENDS += , gettext,\
					  intltool,\
					  scons
CDBS_BUILD_DEPENDS += , libboost-dev,\
					  libcurl4-gnutls-dev,\
					  libfftw3-dev,\
					  libraptor1-dev (>= 1.4.21-5),\
					  liblrdf0-dev (>= 0.4.0-4),\
					  libsigc++-2.0-dev,\
					  libusb-dev,\
					  libxml2-dev (>= 2.5.7),\
					  librasqal3-dev | librasqal2-dev (>= 0.9.14)
CDBS_BUILD_DEPENDS += , libcairomm-1.0-dev (>= 1.2.4),\
					  libglade2-dev,\
					  libglademm-2.4-dev,\
					  libglib2.0-dev,\
					  libgnomecanvas2-dev,\
					  libgnomecanvasmm-2.6-dev,\
					  libgtkmm-2.4-dev,\
					  libpango1.0-dev
CDBS_BUILD_DEPENDS += , ladspa-sdk (>= 1.1-2),\
					  libasound2-dev (>= 0.9.4) [linux-any],\
					  liboss-salsa-dev [!linux-any],\
					  libaubio-dev,\
					  libjack-dev,\
					  liblo-dev,\
					  libsamplerate0-dev,\
					  libslv2-dev (>= 0.6.6-7),\
					  libsndfile1-dev,\
					  libsoundtouch-dev (>= 1.5.0),\
					  lv2core,\
					  vamp-plugin-sdk (>=2.1)

# Needed always/often/sometimes at runtime
CDBS_DEPENDS_ALL = python, python-twisted, python-gtk2, jackd
CDBS_RECOMMENDS_ALL = iceweasel | www-browser
CDBS_SUGGESTS_ALL = jamin, qjackctl

# Ensure only one variant is installed at a time
CDBS_PROVIDES_ardour-altivec = ardour
CDBS_PROVIDES_ardour-i686 = ardour
CDBS_CONFLICTS_ALL = ardour
CDBS_REPLACES_ALL = ardour

# Transitional quirk: ardour-gtk renamed to ardour
# TODO: drop after Squeeze (was introduced before Lenny)
CDBS_CONFLICTS_ardour += , ardour-gtk
CDBS_REPLACES_ardour += , ardour-gtk

# Transitional quirk: ardour-gtk-altivec renamed to ardour-altivec
# TODO: drop after Squeeze (was introduced before Lenny)
CDBS_CONFLICTS_ardour-altivec += , ardour-gtk-altivec
CDBS_REPLACES_ardour-altivec += , ardour-gtk-altivec

# Transitional quirk: ardour-gtk-i686 renamed to ardour-i686
# TODO: drop after Squeeze (was introduced before Lenny)
CDBS_CONFLICTS_ardour-i686 += , ardour-gtk-i686
CDBS_REPLACES_ardour-i686 += , ardour-gtk-i686

# Quirk for derivatives using different packaging name
ifeq (Ubuntu,$(shell dpkg-vendor --query Vendor))
CDBS_RECOMMENDS_ALL = firefox | www-browser
endif

## ardour 2.8.12

=== SConstruct ===
--- 
+++ 
@@ -21,7 +21,7 @@
 SConsignFile()
 EnsureSConsVersion(0, 96)
 
-ardour_version = '2.8.11'
+ardour_version = '2.8.12'
 
 subst_dict = { }
 
@@ -61,7 +61,7 @@
     BoolVariable('GPROFILE', 'Compile with support for gprofile (Developers only)', 0),
     BoolVariable('FREEDESKTOP', 'Install MIME type, icons and .desktop file as per the freedesktop.org spec (requires xdg-utils and shared-mime-info). "scons uninstall" removes associations in desktop database', 0),
     BoolVariable('TRANZPORT', 'Compile with support for Frontier Designs (if libusb is available)', 1),
-    BoolVariable('AUBIO', "Use Paul Brossier's aubio library for feature detection (if available)", 1),
+    BoolVariable('AUBIO', "Use Paul Brossier's aubio library for feature detection", 1),
     BoolVariable('AUSTATE', "Build with support for AU settings & presets saving/loading", 0)
 )
 
@@ -301,3 +301,5 @@
         o.close ()
     except IOError:
         print "Could not open", target[0].get_path(), " for writing\n"
+        sys.exit (-1)
+

=== libs/sigc++2/scripts/Makefile ===
--- 
+++ 
@@ -116,6 +116,7 @@
 PACKAGE_NAME = libsigc++
 PACKAGE_STRING = libsigc++ 2.2.2
 PACKAGE_TARNAME = libsigc++
+PACKAGE_URL = 
 PACKAGE_VERSION = 2.2.2
 PATH_SEPARATOR = :
 PERL_PATH = /usr/bin/perl

=== debian/changelog ===
ardour (1:2.8.12-1) unstable; urgency=low

  [ Jaromír Mikeš ]
  * New upstream release.
  * Misspelling patches added.
  * Man page for ardour2 added.
  * Copyright file switched to rev. 174.

  [ Adrian Knoth ]
  * Add Jaromír Mikeš to the list of Uploaders.

 -- Adrian Knoth <adi@drcomp.erfurt.thur.de>  Wed, 05 Oct 2011 05:09:47 +0200

=== debian/control ===
--- 
+++ 
@@ -4,11 +4,12 @@
 Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
 Uploaders: Adrian Knoth <adi@drcomp.erfurt.thur.de>,
  Free Ekanayaka <freee@debian.org>,
+ Jaromír Mikeš <mira.mikes@seznam.cz>,
  Jonas Smedegaard <dr@jones.dk>
 Build-Depends: autotools-dev,
  cdbs (>= 0.4.72~),
- devscripts (>= 2.10.7~),
- debhelper (>= 6),
+ devscripts,
+ debhelper,
  dh-buildinfo,
  gettext,
  intltool,
@@ -50,7 +51,6 @@
 
 Package: ardour
 Architecture: any
-Section: sound
 Depends: ${shlibs:Depends},
  ${python:Depends},
  ${misc:Depends},
@@ -116,7 +116,6 @@
 
 Package: ardour-altivec
 Architecture: powerpc
-Section: sound
 Depends: ${shlibs:Depends},
  ${python:Depends},
  ${misc:Depends},
@@ -140,7 +139,6 @@
 
 Package: ardour-i686
 Architecture: i386
-Section: sound
 Depends: ${shlibs:Depends},
  ${python:Depends},
  ${misc:Depends},
